---
title: llarp::path::PathHopConfig
summary: configuration for a single hop when building a path 

---

# llarp::path::PathHopConfig



configuration for a single hop when building a path 


`#include <path.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1path_1_1PathHopConfig.md#function-extractstatus)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[txID](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-txid)** <br>path id  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[rxID](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-rxid)**  |
| [RouterContact](Classes/structllarp_1_1RouterContact.md) | **[rc](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-rc)**  |
| [SecretKey](Classes/structllarp_1_1SecretKey.md) | **[commkey](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-commkey)**  |
| [SharedSecret](Classes/structllarp_1_1AlignedBuffer.md) | **[shared](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-shared)** <br>shared secret at this hop  |
| [ShortHash](Classes/structllarp_1_1AlignedBuffer.md) | **[nonceXOR](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-noncexor)** <br>hash of shared secret used for nonce mutation  |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[upstream](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-upstream)** <br>next hop's router id  |
| [TunnelNonce](Classes/structllarp_1_1AlignedBuffer.md) | **[nonce](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-nonce)** <br>nonce for key exchange  |
| llarp_time_t | **[lifetime](Classes/structllarp_1_1path_1_1PathHopConfig.md#variable-lifetime)**  |

## Public Functions Documentation

### function ExtractStatus

```cpp
util::StatusObject ExtractStatus() const
```


## Public Attributes Documentation

### variable txID

```cpp
PathID_t txID;
```

path id 

### variable rxID

```cpp
PathID_t rxID;
```


### variable rc

```cpp
RouterContact rc;
```


### variable commkey

```cpp
SecretKey commkey;
```


### variable shared

```cpp
SharedSecret shared;
```

shared secret at this hop 

### variable nonceXOR

```cpp
ShortHash nonceXOR;
```

hash of shared secret used for nonce mutation 

### variable upstream

```cpp
RouterID upstream;
```

next hop's router id 

### variable nonce

```cpp
TunnelNonce nonce;
```

nonce for key exchange 

### variable lifetime

```cpp
llarp_time_t lifetime = default_lifetime;
```


-------------------------------

Updated on 2022-10-06 at 19:25:18 +0000